PATCH/users/{userId}

ユーザーを部分更新する。
ユーザー権限は管理者画面の 管理者権限 メニューでのみ変更可能。

参照

  • 外部トーク連携とユーザーの email
    • 外部トーク連携 IDとして使用されているユーザーの email が修正された場合、外部トーク連携 ID も自動的に更新される。
    • このとき、新しい email に禁止ワードが含まれている場合、以前の email をサブメールアドレスとして登録し、外部トーク連携 ID として継続利用する。
    • アドバンストプランの場合、外部トーク連携に使用されるサブメールアドレスは aliasEmails に含まれる必要がある。

注意

  • ユーザーの登録/更新/部分更新/配置転換 API は、同じユーザーに対しては同時に呼び出してはならず、順番通りに呼び出すことを推奨します。
  • 設定・取得できるプロパティは、管理項目 設定などのサービスによる制約に従います。
  • Request Body における SNS タイプ messenger.protocol での TWITTER と X は、どちらも X(Twitter) を示します。TWITTER は、2026年11月中旬を目処に廃止を予定しています。
  • X(Twitter) に対する Response Body の SNS タイプ messenger.protocol には、現在は TWITTER が返りますが、2026年7月下旬を目処に X に変更を予定しています。

Authorization

oauth2

Access Token を指定します。
指定の方法や Access Token の取得方法は 共通仕様 を参照してください。

Scope

user
directory

HTTP Request

PATCHhttps://www.worksapis.com/v1.0/users/{userId}

Path Parameters

ParameterTypeDescription
userId string 

ユーザーを特定する ID (URL エンコードする)

  • ユーザー ID (userId)
  • ログイン ID (email)
  • ユーザーの ExternalKey (externalKey:{userExternalKey})

required
example : userf7da-f82c-4284-13e7-030f3b4c756x 

Header Parameters

HeadertypeDescription
Authorization string 

Bearer {token}


required 
Content-Type string 

application/json


required
example : application/json 

Request Body

Patch user properties to update.

PropertyTypeDescription
domainId integer 

ドメイン ID


format : int32 
userExternalKey string 

顧客企業で管理するユーザーの ExternalKey
"%"、"\"、"#"、"/"、"?" の特殊文字は利用できない。


maxLength : 100
nullable : true 
email string 

ログイン ID = メールアドレス
アドバンストプランの場合、ID@ドメイン名
他のプランの場合、ID@グループ名
localpart@domain の場合の localpart の制限

  • 2 ~ 40 字の英小文字、数字、ドット (".")、ハイフン ("-")、アンダーバー ("_") のみ使用できる
  • 最初の文字には英小文字、数字のみ使用できる
  • ドット (".") は最初と最後、および連続 ("..") では使用できない
  • 新たに admin、administrator を指定できない。

maxLength : 90 
userName object (userName) 

名前情報

 
i18nNames array (UserI18nName) 

多言語名リスト


minItems : 0 
nickName string 

ニックネーム

  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 
privateEmail string 

個人メールアドレス

  • SSO を使用せず、passwordConfig.passwordCreationType が MEMBER の場合は必須
  • 最高管理者の場合は必須
  • 有効なメールアドレスを指定する
    localpart@domain の制限
  • localpart は 64 文字以下
  • domain は 253 文字以下

maxLength : 256
nullable : true 
aliasEmails array (string) 

サブメールアドレスリスト
アドバンストプランでのみ登録できる
localpart@domain の場合の localpart の制限

  • 2 ~ 40 字の英小文字、数字、ドット (".")、ハイフン ("-")、アンダーバー ("_") のみ使用できる
  • 最初の文字には英小文字、数字のみ使用できる
  • ドット (".") は最初と最後、および連続 ("..") では使用できない

minItems : 0
maxItems : 10 
employmentTypeId string 

利用権限タイプ ID
利用権限タイプ設定を使用している場合のみ指定可 (既定値: 利用権限タイプなし)

  • 利用権限タイプ ID
  • 利用権限タイプの ExternalKey (externalKey:{employmentTypeExternalKey})

注意
本プロパティは廃止予定です。今後は userTypeId を使用してください。


nullable : true 
userTypeId string 

利用権限タイプ ID
利用権限タイプ設定を使用している場合のみ指定可 (既定値: 利用権限タイプなし)

  • 利用権限タイプ ID
  • 利用権限タイプの ExternalKey (externalKey:{userTypeExternalKey})

nullable : true 
searchable boolean 

サジェストへの表示フラグ (既定値: true)


default : true 
organizations array (UserOrganization) 

ユーザーが所属するドメインリスト (原職、兼職含む)


minItems : 0 
telephone string 

電話番号
許容される特殊文字: -*#+P T()


maxLength : 100
pattern : ^(?=.*[0-9])[0-9+\-*#PTpt()\u3000]{0,100}
nullable : true 
cellPhone string 

携帯電話番号
許容される特殊文字: -*#+P T()


maxLength : 100
pattern : ^(?=.*[0-9])[0-9+\-*#PTpt()\u3000]{0,100}
nullable : true 
location string 

勤務先


maxLength : 100
nullable : true 
task string 

担当業務


maxLength : 100
nullable : true 
messenger object (messenger) 

SNS タイプモデル


nullable : true 
birthdayCalendarType string 

誕生日の日付タイプ

  • SOLAR : 西暦
  • LUNAR : 旧暦

Allowed values : SOLAR, LUNAR
nullable : true 
birthday string 

生年月日 (YYYY-MM-DD)


maxLength : 10
nullable : true 
locale string 

多言語コード


Allowed values : ja_JP, ko_KR, en_US, zh_CN, zh_TW 
hiredDate string 

入社日 (YYYY-MM-DD)


maxLength : 10
nullable : true 
timeZone string 

タイムゾーン


example : Europe/Berlin 
customFields array (UserCustomField) 
  • 1 ユーザーに登録できるカスタムフィールドは最大で 50 個
  • 1 ユーザーに同一の customFieldId で登録できるカスタムフィールドは最大で 10 個

注意
本プロパティは2026年7月下旬を目処に廃止予定です。今後は customProperties を使用してください。


minItems : 0
maxItems : 50 
customProperties object (customProperties) 

ユーザーカスタムプロパティ
ユーザーカスタムプロパティの登録 を利用して、事前にカスタムフィールドを作成します。

  • customProperties の key の値は、ユーザーカスタムプロパティの登録 で設定した propertyName の値です。
  • customProperties の value の値は、フィールドの propertyType、multiValued の値によって type が異なります。詳細は customProperties を参照してください。
  • customProperties では、複数のユーザーカスタムプロパティに対する値を同時に設定することができます。
 
relations array (UserRelation) 

関係者連絡先リスト


minItems : 0
maxItems : 10 
activationDate string 

利用開始日 (形式 YYYY-MM-DDThh:mm:ssTZD)

  • ユーザーが利用可能になる未来の日時を指定可能
  • null の場合には、ユーザーは即時に利用可能

maxLength : 25
nullable : true 
employeeNumber string 

社員番号


minLength : 1
maxLength : 20
nullable : true 

userName

PropertyTypeDescription
lastName string 

姓

  • 姓、名を合わせて最大 80 字まで使用できる
  • 姓と名のいずれか 1 つは必須
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 80
nullable : true 
firstName string 

名

  • 姓、名を合わせて最大 80 字まで使用できる
  • 姓と名のいずれか1つは必須
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 80
nullable : true 
phoneticLastName string 

姓のフリガナ (カタカナのみ許可)


maxLength : 100
nullable : true 
phoneticFirstName string 

名のフリガナ (カタカナのみ許可)


maxLength : 100
nullable : true 

UserI18nName

PropertyTypeDescription
language string 

多言語コード


Allowed values : ja_JP, ko_KR, en_US, zh_CN, zh_TW 
firstName string 

多言語の名

  • 組織図の多言語の名の後ろに表示
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 
lastName string 

多言語の姓

  • 組織図の多言語の名の前に表示
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 

UserOrganization

PropertyTypeDescription
domainId integer 

ドメイン ID


required
format : int32 
primary boolean 

代表ドメインフラグ
必ず代表 (primary: true) を1つ設定してください。 代表を設定しない場合、自動的に一番最初の値が代表に設定されます。


required 
userExternalKey string 

顧客企業で管理するユーザーの ExternalKey

注意

  • organizations[].userExternalKey ではなく、user の userExternalKey の値を設定・参照してください。
  • ユーザーの登録、ユーザーの更新、ユーザーの部分更新 で organizations[].userExternalKey を指定しても、値は反映されません。
    "%"、"\"、"#"、"/"、"?" の特殊文字は利用不可。

maxLength : 100
nullable : true 
email string 

メールアドレス
アドバンストプランで原職と兼職に異なるメールアドレスを設定するときに使用。
localpart には、新たに admin、administrator を指定できない。


maxLength : 90 
levelId string 

職級 ID
職級設定を使用している場合のみ指定可 (既定値: なし)

  • 職級 ID (levelId)
  • 職級の ExternalKey (externalKey:{levelExternalKey})

nullable : true 
orgUnits array (orgUnit) 

組織リスト


minItems : 0
maxItems : 30 

orgUnit

PropertyTypeDescription
orgUnitId string 

組織 ID

  • 組織 ID (orgUnitId)
  • 組織の ExternalKey (externalKey:{orgUnitExternalKey})

required 
primary boolean 

代表組織フラグ
必ず代表 (primary: true )を1つ設定してください。 代表を設定しない場合、自動的に一番最初の値が代表に設定されます。


required 
positionId string 

役職 ID
役職設定を使用している場合のみ指定可 (既定値: 役職なし)

  • 役職 ID (positionId)
  • 役職の ExternalKey (externalKey:{positionExternalKey})

nullable : true 
isManager boolean 

組織長フラグ (既定値: false)
既存の組織長が設定されている場合は上書き (既存の組織長は解除される)。


default : false 
visible boolean 

ユーザー公開フラグ (既定値: true)
組織図から組織のユーザーとして表示するかどうか。


default : true 
useTeamFeature boolean 

組織のトークルーム機能の利用フラグ (既定値: true)
組織に所属しているがトークルームでのメッセージ受信やファイル共有、組織メール受信などの、組織のトークルーム機能を制限したい場合にこのパラメータを利用する。
この値が true の場合、以下の機能を利用可能。

  • 組織トークルームのメンバーとして参加 (トーク、ノート、カレンダー、フォルダの閲覧)
  • 組織宛メールの受信
  • 組織カレンダーの参照、および宛の予定招待の受信
  • 組織宛に共有された掲示板、Drive、アンケート回答
  • 組織をグループのユーザーとして設定した場合、グループのユーザーに含まれる この値が false の場合、組織に提供される上記のすべての機能は利用できない。
    組織のユーザーとして所属しているが、上記のような組織のトークルーム機能を利用しない場合、この値を false に設定する。

default : true 

messenger

PropertyTypeDescription
protocol string 

SNS タイプ

  • Request Body における SNS タイプ messenger.protocol での TWITTER と X は、どちらも X(Twitter) を示します。TWITTER は、2026年11月中旬を目処に廃止を予定しています。
  • X(Twitter) に対する Response Body の SNS タイプ messenger.protocol には、現在は TWITTER が返りますが、2026年7月下旬を目処に X に変更を予定しています。
  • LINE : LINE
  • FACEBOOK : Facebook
  • TWITTER : X (Twitter)
  • X : X (Twitter)
  • CUSTOM: カスタム

required
Allowed values : LINE, FACEBOOK, TWITTER, X, CUSTOM 
customProtocol string 

カスタム SNS タイプ

  • SNS タイプが CUSTOM の場合に指定する

maxLength : 100 
messengerId string 

SNS ID


required
minLength : 1
maxLength : 100 

UserCustomField

PropertyTypeDescription
customFieldId string 

カスタムフィールドを識別できる値

  • 作成時の resourceId
  • クライアントが管理するキー externalKey:{customFieldExternalKey}

required 
value string 

カスタムフィールドテキスト

  • カスタムフィールドタイプが STRING の場合は必須

maxLength : 100
nullable : true 
link string 

カスタムフィールドリンク
カスタムフィールドタイプが LINK の場合は必須
link には有効な URL 形式を指定します。

  • value と link の両方を指定した場合 : リンク付きテキスト表示
  • link のみ指定した場合 : URL 表示

maxLength : 300
nullable : true 

customProperties

PropertyTypeDescription
propertyName string 

propertyType = STRING、multiValued = false の場合


maxLength : 100 
array (string) 

propertyType = STRING、multiValued = true の場合


maxItems : 10 
string 

propertyType = STRING、multiValued = false で、 options (選択肢リスト) が存在する場合
options (選択肢リスト) 内の optionName (選択肢名) を一つ指定する。

 
array (string) 

propertyType = STRING、multiValued = true で、 options (選択肢リスト) が存在する場合
options (選択肢リスト) 内の optionName (選択肢名) を一つ指定する。


maxItems : 10 
string 

propertyType = DATE、multiValued = false の場合。日付 (YYYY-MM-DD)


pattern : YYYY-MM-DD
format : date 
array (string) 

propertyType = DATE、multiValued = true の場合。日付 (YYYY-MM-DD)


maxItems : 10 
integer 

propertyType = INTEGER、multiValued = false の場合


minimum : 0 
array (integer) 

propertyType = INTEGER、multiValued = true の場合


maxItems : 10 
object (CustomPropertyLink) 

propertyType が LINK で、multiValued が false の場合

  • link は必須。
  • link には有効な URL 形式を指定します。
  • link のみが指定されている場合には、link が表示テキストになる。
  • text と link を両方指定し、 text が 'Homepage1'、link が 'https://www.example.com' の場合には以下となる。
    • <a href = "https://www.example.com">Homepage1</a>
 
array (CustomPropertyLink) 

propertyType = LINK で、multiValued = true の場合

  • link は必須。
  • link のみが指定されている場合には、link が表示テキストになる。
  • text と link を両方指定し、 text が 'Homepage1'、link が 'https://www.example.com' の場合には以下となる。
    • <a href = "https://www.example.com">Homepage1</a>

maxItems : 10 

CustomPropertyLink

PropertyTypeDescription
text string 

テキスト


maxLength : 100
nullable : true 
link string 

URL


maxLength : 300 

UserRelation

PropertyTypeDescription
relationUserId string 

関係者連絡先ユーザー ID

 
relationName string 

関係性


maxLength : 50 

Request Example

example

1{2  "domainId": 10000001,3  "userExternalKey": "USER_EXT_01",4  "email": "localpart@example.com",5  "userName": {6    "lastName": "ワークス",7    "firstName": "太郎"8  },9  "nickName": "nickname",10  "privateEmail": "private.works@example.com",11  "searchable": true,12  "organizations": [13    {14      "domainId": 10000001,15      "primary": true,16      "email": "localpart@example.com",17      "levelId": "levelaa7-b824-4937-66af-042f1f43cefa",18      "orgUnits": [19        {20          "orgUnitId": "orgunitf-f27f-4af8-27e1-03817a911417",21          "primary": true,22          "positionId": "position-7027-4a02-b838-6f52b5e38db7",23          "isManager": true,24          "visible": true,25          "useTeamFeature": true26        }27      ]28    }29  ],30  "telephone": "031-1234-5678",31  "cellPhone": "090-1234-5678",32  "location": "green building",33  "task": "mytask",34  "messenger": {35    "protocol": "LINE",36    "messengerId": "lineid"37  },38  "birthdayCalendarType": "SOLAR",39  "birthday": "2000-01-01",40  "locale": "ja_JP",41  "hiredDate": "2020-01-01",42  "timeZone": "Asia/Tokyo",43  "customProperties": {44    "string_single": "hiking",45    "string_single_option": "option_cooking",46    "link_multi": [47      {48        "text": "worksmobile",49        "link": "https://contact.worksmobile.com"50      },51      {52        "text": "line",53        "link": "https://www.line.me/"54      }55    ]56  },57  "relations": [58    {59      "relationUserId": "userfd-fc09-4a57-ab38-03dc6c425e09",60      "relationName": "Manager"61    }62  ],63  "activationDate": "2030-11-12T09:30:00+09:00",64  "employeeNumber": "employee1234"65}

Response

HTTP 200

OK

PropertyTypeDescription
domainId integer 

ドメイン ID


required
format : int32 
userId string 

ユーザー ID

  • ユーザーのリソース ID
  • 登録時に自動発行されるユニーク ID

readOnly : true 
userExternalKey string 

顧客企業で管理するユーザーの ExternalKey
"%"、"\"、"#"、"/"、"?" の特殊文字は利用できない。


maxLength : 100
nullable : true 
isAdministrator boolean 

ドメイン管理者フラグ


readOnly : true 
isPending boolean 

登録待ちステータスフラグ


readOnly : true 
isSuspended boolean 

一時停止ステータスフラグ


readOnly : true 
isDeleted boolean 

削除ステータスフラグ


readOnly : true 
isAwaiting boolean 

待機中フラグ


readOnly : true 
leaveOfAbsence object (leaveOfAbsence) 

readOnly : true 
suspendedReason string 

一時停止理由

  • MASTER : 管理者による一時停止
  • LOGIN_FAIL : ログインに失敗

Allowed values : MASTER, LOGIN_FAIL,
readOnly : true
nullable : true 
email string 

ログイン ID = メールアドレス
アドバンストプランの場合、ID@ドメイン名
他のプランの場合、ID@グループ名
localpart@domain の場合の localpart の制限

  • 2 ~ 40 字の英小文字、数字、ドット (".")、ハイフン ("-")、アンダーバー ("_") のみ使用できる
  • 最初の文字には英小文字、数字のみ使用できる
  • ドット (".") は最初と最後、および連続 ("..") では使用できない
  • admin、administrator は使用できない。

required
maxLength : 90 
userName object (userName) 

名前情報


required 
i18nNames array (UserI18nName) 

多言語名リスト


minItems : 0 
nickName string 

ニックネーム

  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 
privateEmail string 

個人メールアドレス

  • SSO を使用せず、passwordConfig.passwordCreationType が MEMBER の場合は必須
  • 最高管理者の場合は必須
  • 有効なメールアドレスを指定する
    localpart@domainの制限
  • localpart は 64 文字以下
  • domain は 253 文字以下

maxLength : 256
nullable : true 
aliasEmails array (string) 

サブメールアドレスリスト
アドバンストプランでのみ登録できる
localpart@domain の場合の localpart の制限

  • 最初の文字は英小文字、数字のみ使用できる
  • ドット (".") は最初と最後および連続 ("..")は使用できない。
  • 2 ~ 40字の英小文字、数字、ドット (".")、ハイフン ("-")、アンダーバー ("_") のみ使用できる。

minItems : 0
maxItems : 10 
employmentTypeId string 

利用権限タイプ ID
利用権限タイプ設定を使用している場合のみ指定可 (既定値: 利用権限タイプなし)

  • 利用権限タイプ ID
  • 利用権限タイプの ExternalKey (externalKey:{employmentTypeExternalKey})

注意
本プロパティは廃止予定です。今後は userTypeId を使用してください。


nullable : true 
employmentTypeExternalKey string 

利用権限タイプの ExternalKey

注意
本プロパティは廃止予定です。今後は userTypeExternalKey を使用してください。


maxLength : 100
readOnly : true
nullable : true 
employmentTypeName string 

利用権限タイプ名

注意
本プロパティは廃止予定です。今後は userTypeName を使用してください。


readOnly : true
nullable : true 
userTypeId string 

利用権限タイプ ID
利用権限タイプ設定を使用している場合のみ指定可 (既定値: 利用権限タイプなし)

  • 利用権限タイプ ID
  • 利用権限タイプの ExternalKey (externalKey:{userTypeExternalKey})

nullable : true 
userTypeExternalKey string 

利用権限タイプの ExternalKey


maxLength : 100
readOnly : true
nullable : true 
userTypeName string 

利用権限タイプ名


readOnly : true
nullable : true 
userTypeCode string 

利用権限タイプコード
英字 (A ~ Z、a ~ z)、数字 (0 ~ 9)、underscore (_) が利用でき、最大 50 文字まで指定できる。
英字で始めなければならない。


maxLength : 50
readOnly : true
nullable : true 
searchable boolean 

サジェストへの表示フラグ (既定値: true)


default : true 
organizations array (UserOrganization) 

ユーザーが所属するドメインリスト (原職、兼職含む)


minItems : 0 
telephone string 

電話番号
許容される特殊文字: -*#+P T()


maxLength : 100
pattern : ^(?=.*[0-9])[0-9+\-*#PTpt()\u3000]{0,100}
nullable : true 
cellPhone string 

携帯電話番号
許容される特殊文字: -*#+P T()


maxLength : 100
pattern : ^(?=.*[0-9])[0-9+\-*#PTpt()\u3000]{0,100}
nullable : true 
location string 

勤務先


maxLength : 100
nullable : true 
task string 

担当業務


maxLength : 100
nullable : true 
messenger object (messenger) 

SNS タイプモデル


nullable : true 
birthdayCalendarType string 

誕生日の日付タイプ

  • SOLAR : 西暦
  • LUNAR : 旧暦

Allowed values : SOLAR, LUNAR
nullable : true 
birthday string 

生年月日 (YYYY-MM-DD)


maxLength : 10
nullable : true 
locale string 

多言語コード


Allowed values : ja_JP, ko_KR, en_US, zh_CN, zh_TW 
hiredDate string 

入社日 (YYYY-MM-DD)


maxLength : 10
nullable : true 
timeZone string 

タイムゾーン


example : Europe/Berlin 
customFields array (UserCustomField) 
  • 1 ユーザーに登録できるカスタムフィールドは最大で 50 個
  • 1 ユーザーに同一の customFieldId で登録できるカスタムフィールドは最大で 10 個

注意
本プロパティは2026年7月下旬を目処に廃止予定です。今後は customProperties を使用してください。


minItems : 0
maxItems : 50 
customProperties object (customProperties) 

ユーザーカスタムプロパティ
ユーザーカスタムプロパティの登録 を利用して、事前にカスタムフィールドを作成します。

  • customProperties の key の値は、ユーザーカスタムプロパティの登録 で設定した propertyName の値です。
  • customProperties の value の値は、フィールドの propertyType、multiValued の値によって type が異なります。詳細は customProperties を参照してください。
  • customProperties では、複数のユーザーカスタムプロパティに対する値を同時に設定することができます。
 
relations array (UserRelation) 

関係者連絡先リスト


minItems : 0
maxItems : 10 
activationDate string 

利用開始日 (形式 YYYY-MM-DDThh:mm:ssTZD)

  • ユーザーが利用可能になる未来の日時を指定可能
  • null の場合には、ユーザーは即時に利用可能

maxLength : 25
nullable : true 
employeeNumber string 

社員番号


minLength : 1
maxLength : 20
nullable : true 

leaveOfAbsence

PropertyTypeDescription
startTime string 

休職の開始日時 (YYYY-MM-DDThh:mm:ssTZD)


nullable : true 
endTime string 

休職の終了日時 (YYYY-MM-DDThh:mm:ssTZD)


nullable : true 
isLeaveOfAbsence boolean 

休職中フラグ

 

userName

PropertyTypeDescription
lastName string 

姓

  • 姓、名を合わせて最大 80 字まで使用できる
  • 姓と名のいずれか 1 つは必須
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 80
nullable : true 
firstName string 

名

  • 姓、名を合わせて最大 80 字まで使用できる
  • 姓と名のいずれか1つは必須
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 80
nullable : true 
phoneticLastName string 

姓のフリガナ (カタカナのみ許可)


maxLength : 100
nullable : true 
phoneticFirstName string 

名のフリガナ (カタカナのみ許可)


maxLength : 100
nullable : true 

UserI18nName

PropertyTypeDescription
language string 

多言語コード


Allowed values : ja_JP, ko_KR, en_US, zh_CN, zh_TW 
firstName string 

多言語の名

  • 組織図の多言語の名の後ろに表示
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 
lastName string 

多言語の姓

  • 組織図の多言語の名の前に表示
  • 許容される特殊文字: !@&()-_+[]{},./#'`^~

maxLength : 100
nullable : true 

UserOrganization

PropertyTypeDescription
domainId integer 

ドメイン ID


required
format : int32 
primary boolean 

代表ドメインフラグ
必ず代表 (primary: true) を1つ設定してください。 代表を設定しない場合、自動的に一番最初の値が代表に設定されます。


required 
userExternalKey string 

顧客企業で管理するユーザーの ExternalKey

注意

  • organizations[].userExternalKey ではなく、user の userExternalKey の値を設定・参照してください。
  • ユーザーの登録、ユーザーの更新、ユーザーの部分更新 で organizations[].userExternalKey を指定しても、値は反映されません。
    "%"、"\"、"#"、"/"、"?" の特殊文字は利用不可。

maxLength : 100
nullable : true 
email string 

メールアドレス
アドバンストプランで原職と兼職に異なるメールアドレスを設定するときに使用。
localpart には、新たに admin、administrator を指定できない。


maxLength : 90 
levelId string 

職級 ID
職級設定を使用している場合のみ指定可 (既定値: なし)

  • 職級 ID (levelId)
  • 職級の ExternalKey (externalKey:{levelExternalKey})

nullable : true 
levelExternalKey string 

職級の ExternalKey


maxLength : 100
readOnly : true
nullable : true 
levelName string 

職級名


readOnly : true
nullable : true 
executive boolean 

役員フラグ


readOnly : true 
organizationName string 

会社名


readOnly : true 
orgUnits array (orgUnit) 

組織リスト


minItems : 0
maxItems : 30 

orgUnit

PropertyTypeDescription
orgUnitId string 

組織 ID

  • 組織 ID (orgUnitId)
  • 組織の ExternalKey (externalKey:{orgUnitExternalKey})

required 
orgUnitExternalKey string 

組織の ExternalKey


maxLength : 100
readOnly : true
nullable : true 
orgUnitName string 

組織名


readOnly : true 
orgUnitEmail string 

組織のメールアドレス


readOnly : true 
primary boolean 

代表組織フラグ
必ず代表 (primary: true )を1つ設定してください。 代表を設定しない場合、自動的に一番最初の値が代表に設定されます。


required 
positionId string 

役職 ID
役職設定を使用している場合のみ指定可 (既定値: 役職なし)

  • 役職 ID (positionId)
  • 役職の ExternalKey (externalKey:{positionExternalKey})

nullable : true 
positionExternalKey string 

役職の ExternalKey


maxLength : 100
readOnly : true
nullable : true 
positionName string 

役職名


readOnly : true
nullable : true 
isManager boolean 

組織長フラグ (既定値: false)
既存の組織長が設定されている場合は上書き (既存の組織長は解除される)。


default : false 
visible boolean 

ユーザー公開フラグ (既定値: true)
組織図から組織のユーザーとして表示するかどうか。


default : true 
useTeamFeature boolean 

組織のトークルーム機能の利用フラグ (既定値: true)
組織に所属しているがトークルームでのメッセージ受信やファイル共有、組織メール受信などの、組織のトークルーム機能を制限したい場合にこのパラメータを利用する。
この値が true の場合、以下の機能を利用可能。

  • 組織トークルームのメンバーとして参加 (トーク、ノート、カレンダー、フォルダの閲覧)
  • 組織宛メールの受信
  • 組織カレンダーの参照、および宛の予定招待の受信
  • 組織宛に共有された掲示板、Drive、アンケート回答
  • 組織をグループのユーザーとして設定した場合、グループのユーザーに含まれる この値が false の場合、組織に提供される上記のすべての機能は利用できない。
    組織のユーザーとして所属しているが、上記のような組織のトークルーム機能を利用しない場合、この値を false に設定する。

default : true 

messenger

PropertyTypeDescription
protocol string 

SNS タイプ

  • Request Body における SNS タイプ messenger.protocol での TWITTER と X は、どちらも X(Twitter) を示します。TWITTER は、2026年11月中旬を目処に廃止を予定しています。
  • X(Twitter) に対する Response Body の SNS タイプ messenger.protocol には、現在は TWITTER が返りますが、2026年7月下旬を目処に X に変更を予定しています。
  • LINE : LINE
  • FACEBOOK : Facebook
  • TWITTER : X (Twitter)
  • X : X (Twitter)
  • CUSTOM: カスタム

required
Allowed values : LINE, FACEBOOK, TWITTER, X, CUSTOM 
customProtocol string 

カスタム SNS タイプ

  • SNS タイプが CUSTOM の場合に指定する

maxLength : 100 
messengerId string 

SNS ID


required
minLength : 1
maxLength : 100 

UserCustomField

PropertyTypeDescription
customFieldId string 

カスタムフィールドを識別できる値

  • 作成時の resourceId
  • クライアントが管理するキー externalKey:{customFieldExternalKey}

required 
customFieldExternalKey string 

カスタムフィールド ExternalKey


maxLength : 100
readOnly : true
nullable : true 
value string 

カスタムフィールドテキスト

  • カスタムフィールドタイプが STRING の場合は必須

maxLength : 100
nullable : true 
link string 

カスタムフィールドリンク
カスタムフィールドタイプが LINK の場合は必須
link には有効な URL 形式を指定します。

  • value と link の両方を指定した場合 : リンク付きテキスト表示
  • link のみ指定した場合 : URL 表示

maxLength : 300
nullable : true 

customProperties

PropertyTypeDescription
propertyName string 

propertyType = STRING、multiValued = false の場合


maxLength : 100 
array (string) 

propertyType = STRING、multiValued = true の場合


maxItems : 10 
string 

propertyType = STRING、multiValued = false で、 options (選択肢リスト) が存在する場合
options (選択肢リスト) 内の optionName (選択肢名) を一つ指定する。

 
array (string) 

propertyType = STRING、multiValued = true で、 options (選択肢リスト) が存在する場合
options (選択肢リスト) 内の optionName (選択肢名) を一つ指定する。


maxItems : 10 
string 

propertyType = DATE、multiValued = false の場合。日付 (YYYY-MM-DD)


pattern : YYYY-MM-DD
format : date 
array (string) 

propertyType = DATE、multiValued = true の場合。日付 (YYYY-MM-DD)


maxItems : 10 
integer 

propertyType = INTEGER、multiValued = false の場合


minimum : 0 
array (integer) 

propertyType = INTEGER、multiValued = true の場合


maxItems : 10 
object (CustomPropertyLink) 

propertyType が LINK で、multiValued が false の場合

  • link は必須。
  • link には有効な URL 形式を指定します。
  • link のみが指定されている場合には、link が表示テキストになる。
  • text と link を両方指定し、 text が 'Homepage1'、link が 'https://www.example.com' の場合には以下となる。
    • <a href = "https://www.example.com">Homepage1</a>
 
array (CustomPropertyLink) 

propertyType = LINK で、multiValued = true の場合

  • link は必須。
  • link のみが指定されている場合には、link が表示テキストになる。
  • text と link を両方指定し、 text が 'Homepage1'、link が 'https://www.example.com' の場合には以下となる。
    • <a href = "https://www.example.com">Homepage1</a>

maxItems : 10 

CustomPropertyLink

PropertyTypeDescription
text string 

テキスト


maxLength : 100
nullable : true 
link string 

URL


maxLength : 300 

UserRelation

PropertyTypeDescription
relationUserId string 

関係者連絡先ユーザー ID

 
relationName string 

関係性


maxLength : 50 
externalKey string 

externalKey


maxLength : 100
readOnly : true
nullable : true 

Response Example

example

1{2  "domainId": 10000001,3  "userId": "userf7da-f82c-4284-13e7-030f3b4c756x",4  "userExternalKey": "USER_EXT_01",5  "isAdministrator": false,6  "isPending": false,7  "isSuspended": false,8  "isDeleted": false,9  "isAwaiting": true,10  "suspendedReason": null,11  "email": "localpart@example.com",12  "userName": {13    "lastName": "ワークス",14    "firstName": "太郎",15    "phoneticLastName": null,16    "phoneticFirstName": null17  },18  "i18nNames": [],19  "nickName": "nickname",20  "privateEmail": "private.works@example.com",21  "aliasEmails": [],22  "employmentTypeId": null,23  "employmentTypeName": null,24  "employmentTypeExternalKey": null,25  "userTypeId": null,26  "userTypeName": null,27  "userTypeExternalKey": null,28  "userTypeCode": null,29  "searchable": true,30  "organizations": [31    {32      "domainId": 10000001,33      "primary": true,34      "userExternalKey": null,35      "email": "localpart@example.com",36      "levelId": "levelaa7-b824-4937-66af-042f1f43cefa",37      "levelExternalKey": null,38      "levelName": "一般社員",39      "executive": false,40      "organizationName": "org",41      "orgUnits": [42        {43          "orgUnitId": "orgunitf-f27f-4af8-27e1-03817a911417",44          "orgUnitExternalKey": null,45          "orgUnitEmail": "team01@example.com",46          "orgUnitName": "組織",47          "primary": true,48          "positionId": "position-7027-4a02-b838-6f52b5e38db7",49          "positionExternalKey": null,50          "positionName": "社員",51          "isManager": true,52          "visible": true,53          "useTeamFeature": true54        }55      ]56    }57  ],58  "telephone": "031-1234-5678",59  "cellPhone": "090-1234-5678",60  "location": "green building",61  "task": "mytask",62  "messenger": {63    "protocol": "LINE",64    "messengerId": "lineid"65  },66  "birthdayCalendarType": "SOLAR",67  "birthday": "2000-01-01",68  "locale": "ja_JP",69  "hiredDate": "2020-01-01",70  "timeZone": "Asia/Tokyo",71  "leaveOfAbsence": {72    "startTime": null,73    "endTime": null,74    "isLeaveOfAbsence": false75  },76  "customProperties": {77    "string_single": "hiking",78    "string_multi": [79      "hiking",80      "swimming"81    ],82    "string_single_option": "option_cooking",83    "string_multi_option": [84      "option_cooking",85      "option_piano"86    ],87    "date_single": "2025-03-23",88    "date_multi": [89      "2025-03-23",90      "2025-03-24"91    ],92    "integer_single": 123,93    "integer_multi": [94      123,95      45696    ],97    "link_single": {98      "text": "worksmobile",99      "link": "https://contact.worksmobile.com"100    },101    "link_multi": [102      {103        "text": "worksmobile",104        "link": "https://contact.worksmobile.com"105      },106      {107        "text": "line",108        "link": "https://www.line.me/"109      }110    ]111  },112  "relations": [113    {114      "relationUserId": "userfd-fc09-4a57-ab38-03dc6c425e09",115      "relationName": "Manager",116      "externalKey": "ExternalKeyValue"117    }118  ],119  "activationDate": "2030-11-12T09:30:00+09:00",120  "employeeNumber": "employee1234"121}

HTTP 404

Not Found

HTTP 409

Conflict